Contenu | Rechercher | Menus

Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
prime [Le 15/12/2017, 23:10]
Roschan [Passer de la Nvidia à la Intel et vice versa] retrait d'indications obsolètes (12.04)
prime [Le 18/12/2017, 09:24] (Version actuelle)
L'Africain suppression de sudo
Ligne 1: Ligne 1:
-{{tag>​Xenial ​Trusty  ​matériel carte_graphique nvidia ​ }}+{{tag>​Xenial matériel carte_graphique nvidia}}
 ---- ----
 ====== Prime : Optimus sous Linux ====== ====== Prime : Optimus sous Linux ======
Ligne 5: Ligne 5:
 Cette page présente l'​installation du logiciel **Prime**, dont le but est de supporter la [[:​nvidia_optimus|technologie Optimus de NVIDIA]] sous Linux. Cette page présente l'​installation du logiciel **Prime**, dont le but est de supporter la [[:​nvidia_optimus|technologie Optimus de NVIDIA]] sous Linux.
  
-===== Présentation ===== 
  
 **Prime** apporte un meilleur support pour les ordinateurs portables disposant de la technologie Optimus. Il permet de gérer cette technologie présente dans de nombreux PC portables équipés d’un processeur Intel et d’une carte graphique dédiée Nvidia. Pour rappel, Optimus permet de basculer automatiquement de l’une à l’autre, en fonction des logiciels lancés par l’utilisateur. **Prime** apporte un meilleur support pour les ordinateurs portables disposant de la technologie Optimus. Il permet de gérer cette technologie présente dans de nombreux PC portables équipés d’un processeur Intel et d’une carte graphique dédiée Nvidia. Pour rappel, Optimus permet de basculer automatiquement de l’une à l’autre, en fonction des logiciels lancés par l’utilisateur.
Ligne 14: Ligne 13:
 ===== Installation ===== ===== Installation =====
  
-Un prérequis nécessaire est d'​utiliser au minimum Ubuntu 14.04. ​De manière générale, les différents composants matériels présents dans de tels ordinateurs nécessitent ​de toutes façons ​l'​utilisation d'un [[kernel|kernel]] (noyau du système) ​récent, et il est par conséquent conseillé de migrer vers la version 14.04 au minimum.+De manière générale, les différents composants matériels présents dans de tels ordinateurs nécessitent l'​utilisation d'un [[kernel|noyau]] récent.
  
-Si vous utilisez Ubuntu 14.04 et que vous voulez installer le support Optimus avec le pilote graphique Nvidia 319 ou plus récent, voici ce que vous devez faire :+Si vous voulez installer le support Optimus avec le pilote graphique Nvidia 319 ou plus récent, voici ce que vous devez faire :
  
 Tout d'​abord,​ désinstaller Bumblebee et libvdpau-va-gl1 si nécessaire : Tout d'​abord,​ désinstaller Bumblebee et libvdpau-va-gl1 si nécessaire :
Ligne 23: Ligne 22:
  
  ​[[:​tutoriel:​comment_installer_un_paquet#​paquet_present_dans_les_depots|Installer les paquets]] **[[apt>​nvidia-331,​nvidia-prime,​mesa-utils|nvidia-331 nvidia-prime mesa-utils]]**. ​  ​[[:​tutoriel:​comment_installer_un_paquet#​paquet_present_dans_les_depots|Installer les paquets]] **[[apt>​nvidia-331,​nvidia-prime,​mesa-utils|nvidia-331 nvidia-prime mesa-utils]]**. ​
- 
- Ou utilisez la commande ci-dessous :  
- 
-<​code>​sudo apt-get install nvidia-331 nvidia-prime mesa-utils</​code>​ 
  
 Pour obtenir ​ [[vaapi|l’accélération]] GPU pour les vidéos HD via le pilote nvidia et un player compatible (VLC, mplayer, xbmc, etc) Pour obtenir ​ [[vaapi|l’accélération]] GPU pour les vidéos HD via le pilote nvidia et un player compatible (VLC, mplayer, xbmc, etc)
  
 il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​vdpau-va-driver|vdpau-va-driver]]** ​ il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer le paquet]] **[[apt>​vdpau-va-driver|vdpau-va-driver]]** ​
- 
- Ou utilisez la commande ci-dessous :  
- 
-<​code>​sudo apt-get install vdpau-va-driver</​code>​ 
  
 Redémarrez ensuite votre système. Redémarrez ensuite votre système.
Ligne 67: Ligne 58:
   - [[:​tutoriel:​comment_installer_un_paquet#​paquet_present_dans_les_depots|Installez le paquet]] **[[apt>​prime-indicator]]**   - [[:​tutoriel:​comment_installer_un_paquet#​paquet_present_dans_les_depots|Installez le paquet]] **[[apt>​prime-indicator]]**
   - Puis redémarrez votre système.   - Puis redémarrez votre système.
-Ou dans un [[:​terminal]],​ saisir les [[:​commande_shell|commandes]] suivantes:​ +
-<​code>​sudo add-apt-repository ppa:​kranich/​cubuntu +
-sudo apt-get update +
-sudo apt-get install prime-indicator +
-sudo reboot</​code>​+
  
 =====Problèmes connus===== =====Problèmes connus=====


Le contenu de ce wiki est sous licence : CC BY-SA v3.0